echo off

set CONSOLEDIR=Console

cd %CONSOLEDIR%

echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTx "720"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTy "480"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultLines "100"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultFont "\"Courier new\""
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultSize "18"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultStyle "Font.BOLD"
echo ------------------------------------------------------------------

javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" Console.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" FrameConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsoleReader.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsolePrinter.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CanvasConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CurseurCanvasConsole.java

cd ..

set DESTDIR=05-Complexite

set SRCNAME=MesurerLeTemps
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=MesurerLeTempsAvecPrecision
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TempsFibonacci
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TempsFibonacci2
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TempsSystemeEquationsLineaires
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=ProduitsMatriceMatrice
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

cd %CONSOLEDIR%

echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTx "600"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTy "480"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultLines "100"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultFont "\"Courier new\""
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultSize "18"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultStyle "Font.BOLD"
echo ------------------------------------------------------------------

javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" Console.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" FrameConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsoleReader.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsolePrinter.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CanvasConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CurseurCanvasConsole.java

cd ..

set SRCNAME=TestPrecisionFloat
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TestPrecisionDouble
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TestPrecision
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Direction3D.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TestPrecisionSqrtFloat
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TestPrecisionSqrtDouble
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=TestMemoire
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Structure.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=Factoriel
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=RecursiviteEnArbreParfait
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=NombreFibonacci
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=ProduitMatricesCarrees
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=NombreFibonacciAvecMesureDeTemps
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

set SRCNAME=ExempleUtilisationMinuteur
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
cd %CONSOLEDIR%
copy ..\%DESTDIR%\Utilitaires.java
javac Utilitaires.java
cd ..
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar Utilitaires.class
jar uf %SRCNAME%EnConsole.jar Utilitaires$Minuteur.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

cd %CONSOLEDIR%

echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTx "1200"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTy "480"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultLines "100"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultFont "\"Courier new\""
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultSize "18"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultStyle "Font.BOLD"
echo ------------------------------------------------------------------

javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" Console.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" FrameConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsoleReader.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsolePrinter.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CanvasConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CurseurCanvasConsole.java

cd ..

set SRCNAME=ProduitMatricesCarreesAvecMesureDeTemps
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

echo ------------------------------------------------------------------

pause
